{% extends 'base.html.twig' %}

{% block title %}MyApp - Facturas{% endblock %}

{% block body %}
    {% include "components/_dataTitulos.html.twig" %}
    {% include "components/_navegacion.html.twig" %}
    <!-- Codigo offcanva -->
    {% include "components/_botonesAccion.html.twig" %}
    {% include "components/_offcanvas.html.twig" %}
    <!-- /Codigo offcanva -->
    {% for info in app.flashes('info') %}
        {% include "components/_flashMensaje.html.twig" %}
    {% endfor %}
    <div class="container_principal list-group">
        <div class="list-group-item d-flex justify-content-between align-items-center">
            <div>Establecimiento</div>
            <div>PuntoEmision</div>
            <div>Secuencial</div>
            <div>FechaEmision</div>
            <div>Total</div>
            <div>Acción1</div>
            <div>Acción2</div>
            <div>Acción3</div>
        </div>
        <div class="scrollable-div">
            <div class="accordion" id="accordionExample">
            {% for factura in lista_facturas %}
                <div class="accordion-item">
                    <div class="list-group-item d-flex justify-content-between align-items-center detaille_factura">
                        <div>{{ factura.Establecimiento|e }}</div>
                        <div>{{ factura.PuntoEmision|e }}</div>
                        <div>{{ factura.Secuencial|e }}</div>
                        <div>{{ factura.FechaEmision|date("d/m/Y") }}</div>
                        <div>{{ factura.Total|e }}$</div>
                        <h2 class="accordion-header" id="headingOne">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ loop.index }}" aria-expanded="false" aria-controls="collapse{{ loop.index }}">
                                Ver Factura
                            </button>
                        </h2>
                        <div><a class="btn btn-primary boton-lista" href="/facturas/edit/{{ factura.id|e }}">Modificar</a></div>
                        <div><a class="btn btn-danger boton-lista" href="/facturas/delete/{{ factura.id|e }}">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                    <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6Z"/>
                                    <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1ZM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118ZM2.5 3h11V2h-11v1Z"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                    <div id="collapse{{ loop.index }}" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample" style="">
                        <div class="accordion-body">
                            {% include "components/_factura.html.twig" %}
                        </div>
                    </div>
                </div>
            {% endfor %}
            </div>
        </div>
    </div>
    {% include "components/_scriptModoEdit.html.twig" %}
{% endblock %}
